# TdApi.AddRecentlyFoundChat (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AddRecentlyFoundChat

Package it.tdlight.jni

# Class TdApi.AddRecentlyFoundChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AddRecentlyFoundChat

Enclosing class:
  TdApi

    public static class TdApi.AddRecentlyFoundChat
    extends TdApi.Function

Adds a chat to the list of recently found chats. The chat is added to the beginning of the list. If the chat is already in the list, it will be removed from the list first.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of the chat to add.
`static int` | `CONSTRUCTOR` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AddRecentlyFoundChat()` | Adds a chat to the list of recently found chats.
`AddRecentlyFoundChat​(long chatId)` | Adds a chat to the list of recently found chats.
`AddRecentlyFoundChat​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to add.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AddRecentlyFoundChat

public AddRecentlyFoundChat()
Adds a chat to the list of recently found chats. The chat is added to the beginning of the list. If the chat is already in the list, it will be removed from the list first.

Returns `Ok`

### AddRecentlyFoundChat

public AddRecentlyFoundChat​(long chatId)
Adds a chat to the list of recently found chats. The chat is added to the beginning of the list. If the chat is already in the list, it will be removed from the list first.

Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat to add.

### AddRecentlyFoundChat

public AddRecentlyFoundChat​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`